boardMask.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/bits/directionTraits.h"`
`#include "osl/bits/mask.h"`
`#include "osl/container.h"`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osl::container::BoardMask
| 11 x 12 More...
class | osl::container::BoardMaskTable5x5
class | osl::container::BoardMaskTable3x3
class | osl::container::BoardMaskTable5x3Center
class | osl::BoardMask
| 11 x 12 More...

## Namespaces

namespace | osl
namespace | osl::container

## Functions

bool | osl::container::operator== (const BoardMask &l, const BoardMask &r)
std::ostream & | osl::container::operator<< (std::ostream &, const BoardMask &)
const BoardMask | osl::container::operator| (const BoardMask &l, const BoardMask &r)

## Variables

const BoardMaskTable5x5 | osl::container::Board_Mask_Table5x5
const BoardMaskTable3x3 | osl::container::Board_Mask_Table3x3
const BoardMaskTable5x3Center | osl::container::Board_Mask_Table5x3_Center
const BoardMaskTable5x5 | osl::Board_Mask_Table5x5
const BoardMaskTable5x3Center | osl::Board_Mask_Table5x3_Center
const BoardMaskTable3x3 | osl::Board_Mask_Table3x3